#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n, br=0;
    cin >> n;
    int a[n], maxa=0;
    for (int i=0 ; i<n ; i++)
    {
        cin >> a[i];
        if (a[i]>maxa) maxa = a[i];
    }
    int maxi=0;
    for (int l=0 ; l<n-1 ; l++)
    {
        maxi=0;
        for (int r=l+1 ; r<n ; r++)
        {
            if (a[l] >= maxi || a[r] >= maxi)
            {
                br++;
                //cout << l+1 << " " << r+1 << endl;
                if (a[r] > maxi) maxi = a[r];
            }
        }
    }
    cout << br << endl;
    return 0;
}
